Reports

Conversation volume report

Conversation volume report.

GET
/reports/{inbox_id}/conversations

Conversation volume report.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

inbox_id*string

Inbox identifier.

Query Parameters

start_date*string

Start of the reporting window.

Formatdate
end_date*string

End of the reporting window.

Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/reports/string/conversations?start_date=2019-08-24&end_date=2019-08-24"
{  "total_conversations": 0,  "new_conversations_count": 0,  "new_conversations": [    {      "count": 0,      "year": 0,      "month": 0,      "day": 0    }  ],  "resolutions_count": 0,  "resolutions": [    {      "count": 0,      "year": 0,      "month": 0,      "day": 0    }  ],  "contacts_helped_count": 0,  "contacts_helped": [    {      "count": 0,      "year": 0,      "month": 0,      "day": 0    }  ],  "inbox": {    "id": "string",    "name": "string",    "inbox_address": "string",    "connected_email_address": "string",    "email_forwarding_enabled": 0,    "from_name": "string",    "default_status": "string",    "default_assignee": "string",    "signature": "string",    "auto_bcc_enabled": true,    "auto_bcc": "string",    "auto_reply_enabled": true,    "auto_reply_subject": "string",    "auto_reply_body": "string",    "off_hours_auto_reply_subject": "string",    "off_hours_auto_reply_body": "string",    "satisfaction_ratings_enabled": true,    "satisfaction_ratings": {},    "extra": {},    "organization_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "reply_as_alias": true,    "insert_signature": 0  }}